{% import "macro/form.twig" as form %}
<script>
	paper = {
objective: {{ objective ? "true":"false" }},
subjective: {{ subjective ? "true":"false" }}
}
</script>
<div class="container-fluid">
	<div class="row" style="padding:10px 0 0 0">
		<div class="col-md-6">
			<h2 style="overflow:hidden;max-height:45px">{{qpinfo[3]}}</h2>
		</div>
		<div class="col-md-6 go-to-page text-right">
			{{form.pagination()}}
			<div class="time"></div>
		</div>
	</div>

	<div class="row">
		<div class="{{objective ? "objqp":"col-sm-12"}}">

			<div class="main-section-scroll">
				{% for page in qp %}
					<div class="page">
						<img class="lazy" data-src="/img/qp/{{page.id}}" alt="">
					</div>
				{% endfor %}

			</div>
		</div>


		{% if objective %}
			<div class="omr">
				<div class="omr-section">
					<table class='table tbl-responsive'>
						{% if ans is defined %}
							{% for i,a in ans %}

								<tr class="width-th2 middle-text">
									<th>{{i}}</th>
									<td>
										<span class='option'>A</span>
									</td>
									<td>
										<span class='option'>B</span>
									</td>
									<td>
										<span class='option'>C</span>
									</td>
									<td>
										<span class='option'>D</span>
									</td>
								</tr>
							{% endfor %}
						{% endif %}
					</table>
					<div style="height: 250px;float: left;width: 20px;"></div>
					{% if subjective %}

						
					{% else %}

						<div class="final-submit text-center">
							<button type="submit" class="btn btn-primary fr" onclick="submitAnswers()">Submit OMR Sheet</button>
						</div>
					{% endif %}

				</div>
			</div>
		{% endif %}
	</div>
</div>
<script src="/js/objExam.js?{{version}}"></script>

{% if subjective %}
	<div class="fixed-footer" id="filedrag">
		<form id="upload" action="/results/list" method="POST" name="book" enctype="multipart/form-data">
			<fieldset>
				{{form.hidden("name",user.user)}}
				{{form.hidden("subject",qpinfo[2])}}
				{{form.hidden("action","upload-attempt-img")}}

				{{form.hidden("type","subjective")}}
				{{form.hidden("category",qpinfo[0])}}
				<legend></legend>
				<div class="form-gorup col-sm-12">
					<div id="progress"></div>
					<input type="file" name="fileselect[]" id="fileselect" multiple="multiple" class="form-control" style="margin-bottom:5px">
					<button class="btn btn-primary fr hidden" id="submit-subjective" type="button" onclick='showResults();'>Review Answers</button>
					<p style="background:#fff;padding:10px;font-size:12px">Click on choose file button to upload your subjective answer scripts.</p>
				</div>


				<div id="submitbutton">
					<button type="submit">Upload Files</button>
				</div>

			</fieldset>
		</form>
	</div>
	<div id="messages" style="display:none"></div>

	<script src="/js/filedrag.js?{{version}}"></script>
{% endif %}

<div class="exampopup">
	{% if info.instruction is not defined %}
		<img src="/goodluck.jpg" alt="" class="img-responsive">
	{% else %}
		<img src="/img/instructions/{{info.instruction}}" alt="" class="img-responsive">
	{% endif %}
	<button class="btn btn-primary fr fixed-btn" onclick="startExam()">Start Examination</button>
</div>
<script>
{% if info.timeout is defined %}
timeoutimg="/img/instructions/{{info.timeout}}";
	
{% else %}
	timeoutimg="/timeover.jpg";
{% endif %}
	subtime = 1800;
setTimeout(function () {
sidebar.hide();
}, 1000);
timeleft = {{ qp[0]['duration'] * 60 }};
// resizing
document.querySelector(".main-section-scroll").style="max-height:"+(window.innerHeight - 60)+"px";
let omr=document.querySelector(".omr-section");
if(omr != null){
	omr.style="max-height:"+(window.innerHeight - 160)+"px";
}
</script>
<script src="/js/exam.js?{{version}}"></script>
